계정 지불
GET https://tistos.com/api/payments/
curl --request GET \
--url 'https://tistos.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
| 매개변수 | 세부 정보 | 설명 |
|---|---|---|
| processor | 선택 사항 문자열 | 허용된 값: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, onepay, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut |
| status | 선택 사항 문자열 | 허용된 값: paid, pending, cancelled, refunded |
| type | 선택 사항 문자열 | 허용된 값: one_time, recurring |
| frequency | 선택 사항 문자열 | 허용된 값: monthly, quarterly, biannual, annual, lifetime |
| datetime_field | 선택 사항 문자열 | 허용된 값: datetime |
| datetime_start | 선택 사항 문자열 | 이 날짜 및 시간부터 결과를 필터링합니다. 형식 Y-m-d H:i:s。 |
| datetime_end | 선택 사항 문자열 | 이 날짜 및 시간까지 결과를 필터링합니다. 형식 Y-m-d H:i:s。 |
| order_by | 선택 사항 문자열 | 결과를 어떤 필드로 정렬할지 선택하세요. 허용된 값은 다음과 같습니다: id, datetime, total_amount |
| order_type | 선택 사항 문자열 | 결과의 순서. 허용된 값은 오름차순 정렬을 위한 ASC와 내림차순 정렬을 위한 DESC입니다. |
| page | 선택 사항 정수 | 당신이 원하는 페이지 번호에서 결과를 얻습니다. 기본값은 1입니다. |
| results_per_page | 선택 사항 정수 | 한 페이지당 원하는 결과 수를 입력하세요. 허용된 값은 10, 25, 50, 100, 250, 500, 1000입니다. 기본값은 25입니다. |
{
"data": [
{
"id": 1,
"user_id": 1,
"plan_id": 1,
"payment_id": "pi_123456789",
"base_amount": 4.99,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"code": null,
"discount_amount": 0,
"email": "[email protected]",
"name": null,
"total_amount": 4.99,
"total_amount_default_currency": 4.99,
"currency": "USD",
"status": "paid",
"plan": null,
"billing": null,
"business": null,
"taxes_ids": null,
"payment_proof": null,
"payment_proof_url": null,
"refunds": [],
"refunded_total": 0,
"refunded_status": null,
"datetime": "2026-10-17 12:18:02"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://tistos.com/api/payments?page=1",
"last": "https://tistos.com/api/payments?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/payments?page=1"
}
}
GET https://tistos.com/api/payments/{id}
curl --request GET \
--url 'https://tistos.com/api/payments/{id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/payments/{id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"plan_id": 1,
"payment_id": "pi_123456789",
"base_amount": 4.99,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"code": null,
"discount_amount": 0,
"email": "[email protected]",
"name": null,
"total_amount": 4.99,
"total_amount_default_currency": 4.99,
"currency": "USD",
"status": "paid",
"plan": null,
"billing": null,
"business": null,
"taxes_ids": null,
"payment_proof": null,
"payment_proof_url": null,
"refunds": [],
"refunded_total": 0,
"refunded_status": null,
"datetime": "2026-10-17 12:18:02"
}
}